Skip to main content
`Ctrl`+`K`

# DMMoabGetMaterialBlock

Get the material ID corresponding to the current entity of the DM Mesh

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetMaterialBlock(DM dm, const moab::EntityHandle ehandle, PetscInt *mat)

Collective

## Input Parameters

- dm - The `DMMOAB` object

- ehandle - The element entity handle

## Output Parameter

- mat - The material ID for the current entity

## See Also

`DMMOAB`, `DMMoabGetHierarchyLevel()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages